package cn.ibizlab.core.extensions.service;

import cn.ibizlab.core.sample.service.impl.IBIZOrderServiceImpl;
import lombok.extern.slf4j.Slf4j;
import cn.ibizlab.core.sample.domain.IBIZOrder;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[订单] 自定义服务对象
 */
@Slf4j
@Primary
@Service("IBIZOrderExService")
public class IBIZOrderExService extends IBIZOrderServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * 自定义行为[BUIAction]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public IBIZOrder bUIAction(IBIZOrder et) {
        return super.bUIAction(et);
    }
}

